dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
--LManager:AddGame(eGAME_SHELL);
--LManager:AddGame(eGAME_COMBO);

-- skewed block formation
LManager:AddTable(eTYPE_TABLE2, 380, 260);
LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE5, 330, 375);
LManager:AddTable(eTYPE_TABLE6, 510, 375);
LManager:AddTable(eTYPE_TABLE9, 460, 490);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED8);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 5;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 5000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 48000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 55000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 93000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 199000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 212000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 10000;
guest.needs[1] = eWANT_TALK;
guest.times[1] = 41000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 71000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 100000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 154000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 193000;
--guest.needs[6] = eWANT_GIFT;
--guest.times[6] = 212000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 8000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 64000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 106000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 128000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 145000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 160000;
guest.needs[7] = eWANT_GIFT;
guest.times[7] = 204000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 23000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 82000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 100000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 138000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 154000;
guest.needs[7] = eWANT_GIFT;
guest.times[7] = 182000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 35000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 80000;
--guest.needs[3] = eWANT_TALK;
--guest.times[3] = 122000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 165000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 205000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(2,3);
LManager:SetLevelScores(6000, 6400);
LManager:SetLevelTime(45000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();